#
# RPM spec file
# for build WAP1
Summary: IBM IPMI Automatic Server Restart Application
Name: ibmipmiasr
Version: 1.05
Release: 2
Copyright: IBM
Group: IBM
URL: http://www.ibm.com
Distribution: All
Vendor: IBM
Packager: heimsoth@us.ibm.com
Source: src.tgz
Source1: ibmipmiasr.initscript
Source2: README.TXT
BuildRequires: gcc
Conflicts: ibmasm ibmasm-src-redhat ibm-src-suse
ExclusiveArch: i386 i586 x86_64

%description
IBM IPMI Automatic Server Restart Application
%prep
%setup -n src
cp $RPM_SOURCE_DIR/README.TXT .

%build
%ifarch x86_64
gcc -m32 -o ibmipmiasr ibmipmiasr.c -ldl
%endif
%ifarch i586
gcc -o ibmipmiasr ibmipmiasr.c -ldl
%endif
%ifarch i386
gcc -o ibmipmiasr ibmipmiasr.c -ldl
%endif

%install
install -m755 ibmipmiasr  /sbin
install -m 700 ibmipmiasrup ibmipmiasrdown /sbin
install -m 700 %{SOURCE1} /etc/init.d/ibmipmiasr

%files
%doc README.TXT
/sbin/ibmipmiasr
/sbin/ibmipmiasrup
/sbin/ibmipmiasrdown
%config /etc/init.d/ibmipmiasr


%post
/sbin/ldconfig
/sbin/ibmipmiasrup

if test -d /etc/init.d
then
     INITSCRIPT="/etc/init.d/ibmipmiasr"
else
     if test -d /etc/rc.d/init.d
     then
          INITSCRIPT="/etc/rc.d/init.d/ibmipmiasr"
     else
          echo "Error - unable to determine initscripts location. Exiting!"
          exit
     fi
fi
# SET UP FOR BOOT-TIME LOADING IF DESIRED
echo "Installing the IBM IPMI Automatic Server Restart Application."
if test -d /etc/rc.d
then
rm -f /etc/rc.d/rc0.d/K15ibmipmiasr
rm -f /etc/rc.d/rc1.d/K15ibmipmiasr
rm -f /etc/rc.d/rc3.d/K15ibmipmiasr
rm -f /etc/rc.d/rc5.d/K15ibmipmiasr
rm -f /etc/rc.d/rc2.d/S85ibmipmiasr
rm -f /etc/rc.d/rc3.d/S85ibmipmiasr
rm -f /etc/rc.d/rc4.d/S85ibmipmiasr
rm -f /etc/rc.d/rc5.d/S85ibmipmiasr
rm -f /etc/rc.d/rc6.d/K15ibmipmiasr
else
rm -f /etc/init.d/rc0.d/K15ibmipmiasr
rm -f /etc/init.d/rc1.d/K15ibmipmiasr
rm -f /etc/init.d/rc3.d/K15ibmipmiasr
rm -f /etc/init.d/rc5.d/K15ibmipmiasr
rm -f /etc/init.d/rc2.d/S85ibmipmiasr
rm -f /etc/init.d/rc3.d/S85ibmipmiasr
rm -f /etc/init.d/rc4.d/S85ibmipmiasr
rm -f /etc/init.d/rc5.d/S85ibmipmiasr
rm -f /etc/init.d/rc6.d/K15ibmipmiasr
fi
#cp ibmipmiasr.initscript $INITSCRIPT
chmod 700 $INITSCRIPT
if test -d /etc/rc.d
then
ln -s $INITSCRIPT /etc/rc.d/rc0.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc1.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc3.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc5.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc2.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc3.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc4.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc5.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/rc.d/rc6.d/K15ibmipmiasr
else
ln -s $INITSCRIPT /etc/init.d/rc0.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc1.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc3.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc5.d/K15ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc2.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc3.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc4.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc5.d/S85ibmipmiasr
ln -s $INITSCRIPT /etc/init.d/rc6.d/K15ibmipmiasr
fi


%preun
/sbin/ibmipmiasrdown

%postun
rm -f /sbin/ibmipmiasrup
rm -f /sbin/ibmipmiasrdown
rm -rf /usr/local/ibmipmiasr
rm -rf /etc/init.d/ibmipmiasr
rm -rf /etc/rc.d/init.d/ibmipmiasr
rm -f /etc/rc.d/init.d/ibmipmiasr
if test -d /etc/rc.d
then
rm -f /etc/rc.d/rc0.d/K15ibmipmiasr
rm -f /etc/rc.d/rc1.d/K15ibmipmiasr
rm -f /etc/rc.d/rc3.d/K15ibmipmiasr
rm -f /etc/rc.d/rc5.d/K15ibmipmiasr
rm -f /etc/rc.d/rc2.d/S85ibmipmiasr
rm -f /etc/rc.d/rc3.d/S85ibmipmiasr
rm -f /etc/rc.d/rc4.d/S85ibmipmiasr
rm -f /etc/rc.d/rc5.d/S85ibmipmiasr
rm -f /etc/rc.d/rc6.d/K15ibmipmiasr
else
rm -f /etc/init.d/rc0.d/K15ibmipmiasr
rm -f /etc/init.d/rc1.d/K15ibmipmiasr
rm -f /etc/init.d/rc3.d/K15ibmipmiasr
rm -f /etc/init.d/rc5.d/K15ibmipmiasr
rm -f /etc/init.d/rc2.d/S85ibmipmiasr
rm -f /etc/init.d/rc3.d/S85ibmipmiasr
rm -f /etc/init.d/rc4.d/S85ibmipmiasr
rm -f /etc/init.d/rc5.d/S85ibmipmiasr
rm -f /etc/init.d/rc6.d/K15ibmipmiasr
fi



